<div ng-controller="codigoPostalController" ng-cloak>
  <div layout="row">
    <div flex="100">
      <md-toolbar class="md-table-toolbar md-default">
        <div class="md-toolbar-tools">
          <h2 class="md-title">C&oacute;digos Postales</h2>
          <div class="flex" flex=""></div>
          <button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newCodigoPostal()" aria-label="add_circle">
            <md-icon class="material-icons">add_circle</md-icon>
            <div class="md-ripple-container"></div>
          </button>
        </div> 
        <md-input-container class="md-block" flex-gt-sm>
          <label>Filtro de b&uacute;squeda</label>
          <input ng-model='textCodigoPostalFilter' />
        </md-input-container>		
      </md-toolbar>
      <md-table-container>
        <table md-table multiple ng-model="selected">
          <thead fix-head md-head>
            <tr md-row>
              <th md-column md-order-by="codigoToLower" ng-click="sortBy('codigo')">
              	<span>CODIGO POSTAL</span>
              </th>
              <th md-column md-order-by="provinciaToLower" ng-click="sortBy('provincia')">
              	<span>PROVINCIA</span>
              </th>
              <th md-column md-order-by="poblacionToLower" ng-click="sortBy('poblacion')">
              	<span>POBLACION</span>
              </th>
            </tr>
          </thead>
          <tbody md-body>
            <tr md-row md-select-id="id" md-auto-select ng-repeat="codigoPostal in codigosPostales | filter: codigoPostalFilter | orderBy:propertyName:reverse" " ng-click="codigoPostalDetails(codigoPostal.id)">
              <td md-cell>{{codigoPostal.codigo}}</td>
              <td md-cell>{{codigoPostal.provincia}}</td>
              <td md-cell>{{codigoPostal.poblacion}}</td>
            </tr>
          </tbody>
        </table>
      </md-table-container>
    </div>
      <div style="display: none" flex="100">
      	<div ng-include="'forms/codigoPostalForm.html'"></div>
      </div>
    </div>    
  </div>